GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
geos::index::quadtree::Root Class Reference

QuadRoot is the root of a single Quadtree. It is centred at the origin, and does not have a defined extent. More...

`#include <geos/indexQuadtree.h>`

Inheritance diagram for geos::index::quadtree::Root:

## Public Member Functions
void | insert (const geom::Envelope *itemEnv, void *item)
Public Member Functions inherited from geos::index::quadtree::NodeBase
std::vector< void * > & | getItems ()
void | add (void *item)
std::vector< void * > & | addAllItems (std::vector< void * > &resultItems) const
| Push all node items to the given vector, return the argument.
virtual void | addAllItemsFromOverlapping (const geom::Envelope &searchEnv, std::vector< void * > &resultItems) const
unsigned int | depth () const
unsigned int | size () const
unsigned int | getNodeCount () const
virtual std::string | toString () const
virtual void | visit (const geom::Envelope *searchEnv, ItemVisitor &visitor)
bool | remove (const geom::Envelope *itemEnv, void *item)
bool | hasItems () const
bool | hasChildren () const
bool | isPrunable () const

## Protected Member Functions
bool | isSearchMatch (const geom::Envelope &) const

## Additional Inherited Members
Static Public Member Functions inherited from geos::index::quadtree::NodeBase
static int | getSubnodeIndex (const geom::Envelope *env, const geom::Coordinate &centre)
Protected Attributes inherited from geos::index::quadtree::NodeBase
std::vector< void * > | items
| Actual items are NOT owned by this class.
Node * | subnode [4]

## Detailed Description

QuadRoot is the root of a single Quadtree. It is centred at the origin, and does not have a defined extent.

## Member Function Documentation

void geos::index::quadtree::Root::insert | ( | const geom::Envelope * | itemEnv,
|  | void * | item
| ) |  |

Insert an item into the quadtree this is the root of.

The documentation for this class was generated from the following file:

- quadtree/Root.h